コンテンツへスキップ

LTX 2.5 Pro Text to Video

統合

モデルID lightricks/ltx-2.5/text-to-video/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.72 720 APIクレジット · ≈ ₽77.46 このページで実行

APIキーを取得
Lightricks テキストから動画 ネイティブ音声6–10 s1080pまで #audio#camera-control#50fps

LightricksのLTX 2.5 Pro。音声と名前付きカメラ移動に対応する6~10秒クリップ、最大1080p・50 fps

例

出力 · 約51 s

プロンプトSlow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.

6 s720p16:9generate_audio: false$0.72 · 720 APIクレジット

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 210 / 5000

動画生成を導くプロンプト。

duration 6 s

動画の長さ。秒単位で指定するか、'auto'を選択してモデルに決定させます。最大10秒です。

resolution

出力動画に使用する解像度。

aspect_ratio

出力動画のアスペクト比。

camera_motion

出力動画に適用する任意のカメラ移動。

詳細設定 fps
fps デフォルト 25

出力動画のフレームレート。1秒あたりのフレーム数で測定します。

POST /run/lightricks/ltx-2.5/text-to-video/pro?wait=20 見積もり → $0.72
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

LTX 2.5 Pro Text to Videoについて

LTX 2.5 Proは生成音声付きの鮮明な720pまたは1080p動画を作成し、説明文の代わりに名前付きカメラ移動(dolly inまたはout、sideways dolly、jib upまたはdown、static、focus shift)を選択できます。長さは6、8、10秒または自動、フレームレートは24、25、50 fps、横向きまたは縦向きです。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 5,000文字
動画生成を導くプロンプト。
duration任意
型enum
デフォルトauto
6810auto
動画の長さ。秒単位で指定するか、'auto'を選択してモデルに決定させます。最大10秒です。
resolution任意
型enum
デフォルト1080p
720p1080p
出力動画に使用する解像度。
aspect_ratio任意
型enum
デフォルト16:9
16:99:16
出力動画のアスペクト比。
fps任意
型enum
デフォルト25
242550
出力動画のフレームレート。1秒あたりのフレーム数で測定します。
generate_audio任意
型boolean
デフォルトtrue
出力動画の音声生成切り替え。
camera_motion任意
型enum
dolly_indolly_outdolly_leftdolly_rightjib_upjib_downstaticfocus_shift
出力動画に適用する任意のカメラ移動。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightricks/ltx-2.5/text-to-video/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 720,
    "usd": "0.72",
    "charged": 720,
    "refunded": 0
  },
  "input": {
    "prompt": "Through a sheer red veil, a bride smiles as marigold petals fall around her, warm evening light",
    "duration": 6,
    "resolution": "1080p",
    "camera_motion": "dolly_in"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成された動画ファイル。

その他のモデル: テキストから動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/lightricks/ltx-2.5/text-to-video/pro.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt